/* ================================================ */
/* CSS for control sap.ui.commons/TextView.control  */
/* SAP-GoldRreflection theme                        */
/* ================================================ */

/* success state */
.sapUiTvSucc,
.sapUiInverted-CTX .sapUiTvSucc {
	color: @sapUiFieldSuccessColor;
	background-color: transparent;
}

/* Designs */
.sapUiTvH6 {
	color: @sapUiBaseText;
}

.sapUiTvMono {
	font-family: Lucida Console, monospace;
}

/* invalid state */
.sapUiTvErr {
	transition: color .25s linear;
	-webkit-transition: color .25s linear;
	-moz-transition: color .25s linear;
	background-color: transparent;
}

/* warning state */
.sapUiTvWarn {
	transition: color 1s linear;
	-webkit-transition: color 1s linear;
	-moz-transition: color 1s linear;
	color: @sapUiCriticalText; /*looks more like yellow: darken(@sapUiFieldWarningColor, 17);*/
	background-color: transparent;
}

.sapUiInverted-CTX .sapUiTvWarn {
	color: @sapUiCriticalText; /*looks more like yellow: darken(@sapUiFieldWarningColor, 17);*/
}

.sapUiTvInfo.sapUiTvSucc,
.sapUiTvInfo.sapUiTvWarn,
.sapUiTvInfo.sapUiTvErr{
	background-color: @sapBackgroundColor;
}

/* ================= */
/* Alignment in Form */
/* ================= */

/* GridLayout */
.sapUiGrid td > .sapUiTv{
	margin-top: 2px;
}

/* ResponsiveLayout */
.sapUiRLElementFields > .sapUiRFLRow > .sapUiRFLContainer > .sapUiRFLContainerContent > .sapUiTv{
	margin-top: 2px;
}
html[data-sap-ui-browser^="ie"] .sapUiRLElementFields > .sapUiRFLRow > .sapUiRFLContainer > .sapUiRFLContainerContent > .sapUiTv{
	margin-top: 1px;
}

/* ResponsiveGridLayout */
html.sapUiMedia-Std-Phone .sapUiFormResGridCont > div > .sapUiTv,
html.sapUiMedia-Std-Tablet .sapUiFormResGridCont > div > .sapUiTv,
html.sapUiMedia-Std-Desktop .sapUiFormResGridCont > div > .sapUiTv {
	margin-top: 2px;
}